Here you can find various Joomla extensions and other code I have developed.

Unless otherwise noted these are compatible with:

PHP 5.3+, 7.+
Joomla 2.5, 3.+
Hikashop 2.1+, 3.0+

Some of my code can also be found in these git repositories.
GitHub BitBucket

Details of any bugs you encounter or ideas for improvement will be gratefully received.
Enjoy!